const fs = require('fs');
const path = require('path');

const getSsrConfig = () => {
  const defaultConfig = {
    id: 'default',
    distDir: '.ssr',
    viewsDir: 'views',
    staticViews: [],
    webpackMode: 'inherit',
  };
  const ssrConfigPath = path.join(process.cwd(), 'ssr.config.js');
  if (fs.existsSync(ssrConfigPath)) {
    return Object.assign(defaultConfig, require(ssrConfigPath));
  } else {
    return defaultConfig;
  }
};

const ssrConfig = getSsrConfig();

const isProd = ssrConfig.webpackMode === 'inherit' ? process.env.NODE_ENV === 'production' : ssrConfig.webpackMode === 'production';

module.exports = {
  isProd,
};
